# This is an example script for adding or modifying component / library names
# in a KiCad schematic.
#
# Note that spaces are not allowed in KiCad (eeschema) schematics and are
# substituted by underlines.
#
awk '{ \
gsub("L 74","L ttl:74"); \
gsub("L 40","L cmos:40"); \
gsub("L Z80", "L zilog:Z80"); \
gsub("L zilog:Z80PIO", "L zilog:Z80-PIO"); \
gsub("L zilog:Z80CTC", "L zilog:Z80-CTC"); \
gsub("L CAP", "L device:CAP");\
gsub("L R", "L device:R");\
gsub("L POT", "L device:POT");\
gsub("L CRYSTAL", "L device:CRYSTAL");\
gsub("L PHONE", "L device:PHONE");\
gsub("L MICROPHONE", "L device:MICROPHONE");\
gsub("L SPEAKER", "L device:SPEAKER");\
gsub("L INDUCTOR", "L device:INDUCTOR");\
gsub("L TRANZORB", "L device:TRANZORB");\
gsub("L CON4", "L device:CON4");\
gsub("L CONNECTOR_DB25", "L device:CONNECTOR_DB25");\
gsub("L SW_DPDT", "L device:SW_DPDT");\
gsub("L SW_DPST", "L device:SW_DPST");\
gsub("L SW_DIP", "L device:SW_DIP");\
gsub("L TRIAC", "L device:TRIAC");\
gsub("L LAMP", "L device:LAMP");\
gsub("L TRANSFORMER", "L device:TRANSFORMER");\
gsub("L PLUG_AC_MALE", "L device:PLUG_AC_MALE");\
gsub("L FUSE", "L device:FUSE");\
gsub("L HEADER", "L device:HEADER");\
gsub("L SW_PUSH", "L device:SW_PUSH");\
gsub("L SW_SPST", "L device:SW_SPST");\
gsub("L GND", "L device:GND");\
gsub("L device:GND ", "L pwr:GND ");\
gsub("L DIODE", "L device:DIODE");\
gsub("L BRIDGE", "L device:BRIDGE");\
gsub("L BUZZER", "L device:BUZZER");\
gsub("L LED", "L device:LED");\
gsub("L NPN", "L device:NPN");\
gsub("L PNP", "L device:PNP");\
gsub("L MOSFET_N", "L device:MOSFET_N");\
gsub("L CONNECTOR_DB9", "L device:CONNECTOR_DB9");\
gsub("L OPTO_ISOLATOR", "L device:OPTO_ISOLATOR");\
gsub("L 4N38", "L moto7:4N38");\
gsub("L 27", "L memory:27");\
gsub("L 28", "L memory:28");\
gsub("L 51", "L memory:51");\
gsub("L 6164", "L memory:6164");\
gsub("L LF356N", "L analog:LF356N");\
gsub("L ADC0820", "L analog1:ADC0820");\
gsub("L ADC0844", "L analog1:ADC0844");\
gsub("L 1458", "L analog:LM1458N");\
gsub("L LM324", "L analog:LM324");\
gsub("L VOLTAGE_REGULATOR", "L analog2:VOLTAGE_REGULATOR");\
gsub("L LM7805", "L analog2:LM7805");\
gsub("L 80C196KC-PLCC", "L intel:80C196KC-PLCC");\
gsub("L 8250", "L intel:8250");\
gsub("L 8N60", "L moto5:MTP8N50");\
gsub("L SQ", "L shapes:SQ");\
gsub("L ARROWHEAD", "L flowcht:ARROWHEAD");\
gsub("L 84256", "L samsung:KM62256A");\
print}' < $1 > $2
