# makedocs
# Generates .html .ps .pdf files from a man page (requires (man), groff, ps2pdf)
# e.g. makedocs orcad_convert.1 will produce 
#        orcad_convert.1.html, orcad_convert.1.ps, orcad_convert.1.pdf
#
# 20-Aug-2005 dm
# 02-Oct-2011 dm -- replaced man invocation by groff
#
if (test -z $1); then
  echo Usage: makedocs MAN_PAGE_\(GROFF\)_FILE
else
  groff -T html -man $1 > $1.html
  groff -T ps   -man $1 > $1.ps
  ps2pdf $1.ps $1.pdf
fi
