# This is an example file for translating OrCAD SDT source library files (.SRC)
# to KiCad library files (.lib)
# 
# To run: source orcad_lib_convert_kicad.sh
#
# As a last step, the desired number of the resulting xxxxxxx.SRC.txt files with
# component size and library information are concatenated, in the desired sequence
# which dictates precedence to be used when converting schematics 
# with the orcad_convert program.
#
# Adjust, as necessary, or run the concatenation step separately.
#
./orcad_lib_convert -k A3C.SRC A3C.lib
./orcad_lib_convert -k ALTERA_M.SRC ALTERA_M.lib
./orcad_lib_convert -k ALTERA_P.SRC ALTERA_P.lib
./orcad_lib_convert -k ANALOG1.SRC ANALOG1.lib
./orcad_lib_convert -k ANALOG2.SRC ANALOG2.lib
./orcad_lib_convert -k ANALOG.SRC ANALOG.lib
./orcad_lib_convert -k ASSEMBLY.SRC ASSEMBLY.lib
./orcad_lib_convert -k B1A.SRC B1A.lib
./orcad_lib_convert -k BIT.SRC BIT.lib
./orcad_lib_convert -k CHIPS.SRC CHIPS.lib
./orcad_lib_convert -k CMOS.SRC CMOS.lib
./orcad_lib_convert -k DCLOCK.SRC DCLOCK.lib
./orcad_lib_convert -k DEVICE.SRC DEVICE.lib
./orcad_lib_convert -k ECL.SRC ECL.lib
./orcad_lib_convert -k FLOWCHT.SRC FLOWCHT.lib
./orcad_lib_convert -k HITACHI.SRC HITACHI.lib
./orcad_lib_convert -k IEEE1.SRC IEEE1.lib
./orcad_lib_convert -k IEEE2.SRC IEEE2.lib
./orcad_lib_convert -k IEEE3.SRC IEEE3.lib
./orcad_lib_convert -k INMOS.SRC INMOS.lib
./orcad_lib_convert -k INTEL_M.SRC INTEL_M.lib
./orcad_lib_convert -k INTEL_P.SRC INTEL_P.lib
./orcad_lib_convert -k INTEL.SRC INTEL.lib
./orcad_lib_convert -k LADDER.SRC LADDER.lib
./orcad_lib_convert -k MEMORY.SRC MEMORY.lib
./orcad_lib_convert -k METER.SRC METER.lib
./orcad_lib_convert -k MITSUBIS.SRC MITSUBIS.lib
./orcad_lib_convert -k MOTO1.SRC MOTO1.lib
./orcad_lib_convert -k MOTO2.SRC MOTO2.lib
./orcad_lib_convert -k MOTO3.SRC MOTO3.lib
./orcad_lib_convert -k MOTO4.SRC MOTO4.lib
./orcad_lib_convert -k MOTO5.SRC MOTO5.lib
./orcad_lib_convert -k MOTO7.SRC MOTO7.lib
./orcad_lib_convert -k MOTO.SRC MOTO.lib
./orcad_lib_convert -k MYLIB.SRC MYLIB.lib
./orcad_lib_convert -k OKI.SRC OKI.lib
./orcad_lib_convert -k OPTOISOL.SRC OPTOISOL.lib
./orcad_lib_convert -k PCBDEV.SRC PCBDEV.lib
./orcad_lib_convert -k PLDGATES.SRC PLDGATES.lib
./orcad_lib_convert -k POWER.SRC POWER.lib
./orcad_lib_convert -k PSPICE.SRC PSPICE.lib
./orcad_lib_convert -k RF.SRC RF.lib
./orcad_lib_convert -k SAMSUNG.SRC SAMSUNG.lib
./orcad_lib_convert -k SEEQ.SRC SEEQ.lib
./orcad_lib_convert -k SHAPES.SRC SHAPES.lib
./orcad_lib_convert -k SPICE.SRC SPICE.lib
./orcad_lib_convert -k TILSI.SRC TILSI.lib
./orcad_lib_convert -k TTL1.SRC TTL1.lib
./orcad_lib_convert -k TTL.SRC TTL.lib
./orcad_lib_convert -k ZILOG.SRC ZILOG.lib
cat TTL.SRC.txt\
   CMOS.SRC.txt\
   MEMORY.SRC.txt\
   INTEL.SRC.txt\
   DEVICE.SRC.txt\
   ANALOG.SRC.txt\
   SEEQ.SRC.txt\
   ANALOG1.SRC.txt\
   ANALOG2.SRC.txt\
   OPTOISOL.SRC.txt\
   MOTO1.SRC.txt\
   POWER.SRC.txt\
   ZILOG.SRC.txt\
     > orcad_parts.txt
echo Total parts:
wc orcad_parts.txt

